html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

body {
    min-height: 100%;
    background-image: url('src/img/fons.gif');
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    overflow-x: hidden;
    position: relative;
}

body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    backdrop-filter: blur(15px); /* Standard syntax */
    -webkit-backdrop-filter: blur(15px); /* For Safari */
    -moz-backdrop-filter: blur(15px); /* For older Mozilla browsers */
    -ms-backdrop-filter: blur(15px); /* For older Microsoft browsers */
    z-index: -1;
}


main {
    text-align: center;
    position: relative;
}

.carousel {
    display: flex;
    overflow: hidden;
    width: 100%;
    position: relative;
}

.carousel__inner {
    min-width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
    transition: transform 0.5s ease;
}

.text__corusel__top {
    font-size: 2.5em;
    font-weight: 300;
}

.corusel__img {
    max-width: 100%;
    height: auto;
    width: 300px;
    margin-top: -160px
}

.text__corusel__bottom {
    font-size: 1em;
    margin-top: -130px;
    line-height: 1.5;
}

.block__dots {
    display: flex;
    justify-content: center;
}

.dots {
    width: 10px;
    height: 10px;
    margin: -100px 5px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active,
.dots:hover {
    background-color: #717171;
}


@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.text__corusel__top,
.corusel__img,
.text__corusel__bottom {
    opacity: 0;
    animation: fadeIn 1s ease forwards;
}
